Bug 135966 - Password entry from a locked screen takes Escape key as input
Password entry from a locked screen takes Escape key as input
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-10-15 18:25 EDT by Dave Malcolm
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-31 17:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Ignore unprintable characters (697 bytes, patch)
2005-08-31 17:47 EDT, Ray Strode [halfline]
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2004-10-15 18:25:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002

Description of problem:
When I've locked the screen, I typically press the Escape key to stop
the screensaver, and trigger the password entry/unlock screen dialog.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. lock the screen
2. watch the screensaver 
3. press escape

Actual Results:  An asterisk is added to the password entry field; it
appears that the escape character has been typed as the first
character of my password

Expected Results:  Can the escape key ever be a valid password
character?  I don't believe so. I'd like to use it to simply get rid
of the screensaver and get to the unlock screen dialog.

Additional info:
Comment 1 Dave Malcolm 2004-10-15 18:33:24 EDT
The tab key also generate an asterisk when typed in this dialog;
should it?
Comment 2 Jamie Zawinski 2005-02-27 23:07:48 EST
It's unclear to me what characters can be used in passwords.
What characters does the "passwd" program accept?  I think it
depends on what your stty settings are...

Does Gnome have a GUI for changing your password?
If so, what characters does it accept?
Comment 3 Dave Malcolm 2005-02-28 13:40:15 EST
What characters does gdm accept?  It looks like it's using a regular GTKEntry
widget to me, so it appears that we're already restricting passwords to those
strings typable here.  (can I type random unicode characters into the entry field?)
Comment 4 Ray Strode [halfline] 2005-02-28 14:57:45 EST
The only illegal characters a unix password can have are newline and nul.  Note
most gui programs are going to strip out random escape sequences, tabs, etc, and
different console programs are going to interpret those types of characters
differently, so users who do put funky characters in their passwords probably
already have broken systems.  I think it's pretty safe to assume unprintable
characters are off limits (except space).
Comment 5 Ray Strode [halfline] 2005-08-31 17:45:25 EDT
This should be fixed in tomorrow's rawhide
Comment 6 Ray Strode [halfline] 2005-08-31 17:47:28 EDT
Created attachment 118321 [details]
Ignore unprintable characters

Hi Jamie,

Above is the patch I commited to rawhide.

Note You need to log in before you can comment on or make changes to this bug.